import { listCategories } from "@lib/data/categories"
import MegaMenu from "./mega-menu"



export async function MegaMenuWrapper({ navLabel }: { navLabel: { text: string; className?: string } }) {
  const categories = await listCategories().catch(() => [])

  return <MegaMenu navLabel={navLabel} categories={categories} />
}

export default MegaMenuWrapper
